ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | List of all members
security_db Class Reference

This class provides security record description for security database. More...

`#include <security_db.hh>`

Inheritance diagram for security_db:

## Public Member Functions
| security_db (const std::string &p_db_path)
| Ctor with full path to the certificates storage. More...
| ~security_db ()
| Default private dtor. More...
int | store_certificate (const CHARSTRING &p_cert_id, const OCTETSTRING &p_cert, const OCTETSTRING &p_private_key, const OCTETSTRING &p_public_key_x, const OCTETSTRING &p_public_key_y, const OCTETSTRING &p_hashid8, const OCTETSTRING &p_issuer, const OCTETSTRING &p_private_enc_key, const OCTETSTRING &p_public_enc_key_x, const OCTETSTRING &p_public_enc_key_y)
int | clear ()
Public Member Functions inherited from security_cache
| security_cache ()
| List of the certificates indexed by the HashedId8. More...
virtual | ~security_cache ()
| Default private dtor. More...
int | get_certificate_id (const OCTETSTRING &p_hashed_id8, std::string &p_certificate_id) const
int | get_certificate (const std::string &p_certificate_id, OCTETSTRING &p_certificate) const
int | get_certificate (const std::string &p_certificate_id, IEEE1609dot2::CertificateBase &p_certificate) const
int | get_issuer (const std::string &p_certificate_id, OCTETSTRING &p_hashed_id_issuer) const
int | get_hashed_id (const std::string &p_certificate_id, OCTETSTRING &p_hashed_id) const
int | get_private_key (const std::string &p_certificate_id, OCTETSTRING &p_private_key) const
int | get_public_keys (const std::string &p_certificate_id, OCTETSTRING &p_public_key_x, OCTETSTRING &p_public_key_y) const
int | get_private_enc_key (const std::string &p_certificate_id, OCTETSTRING &p_private_enc_key) const
int | get_public_enc_keys (const std::string &p_certificate_id, OCTETSTRING &p_public_enc_key_x, OCTETSTRING &p_public_enc_key_y) const
void | dump () const

## Private Member Functions
int | load_from_files (const std::string &p_db_path)

## Additional Inherited Members
Protected Attributes inherited from security_cache
std::map< std::string, std::unique_ptr< security_db_record > > | _certificates
std::map< std::vector< unsigned char >, std::string > | _hashed_id8s
| List of the certificates indexed by the certificate identifier. More...

## Detailed Description

This class provides security record description for security database.

## Constructor & Destructor Documentation

## ◆ security_db()

security_db::security_db | ( | const std::string & | p_db_path | ) |

Ctor with full path to the certificates storage.

## ◆ ~security_db()

security_db::~security_db | ( |  | ) |

Default private dtor.

## Member Function Documentation

## ◆ clear()

int security_db::clear | ( |  | ) |
| virtual

Reimplemented from security_cache.

## ◆ load_from_files()

int security_db::load_from_files | ( | const std::string & | p_db_path | ) |
| private

## ◆ store_certificate()

int security_db::store_certificate | ( | const CHARSTRING & | p_cert_id,
|  | const OCTETSTRING & | p_cert,
|  | const OCTETSTRING & | p_private_key,
|  | const OCTETSTRING & | p_public_key_x,
|  | const OCTETSTRING & | p_public_key_y,
|  | const OCTETSTRING & | p_hashid8,
|  | const OCTETSTRING & | p_issuer,
|  | const OCTETSTRING & | p_private_enc_key,
|  | const OCTETSTRING & | p_public_enc_key_x,
|  | const OCTETSTRING & | p_public_enc_key_y
| ) |  |
| virtual

Reimplemented from security_cache.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/security_db.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/security_db.cc